Subject: bug#6302: 24.0.50; Unable to use su in term.

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 04 Jun 2010 09:33:23 +0200

Glenn Morris <[email-masked]> writes:

> merge 5300 6302
> stop
>
> Thierry Volpiatto wrote:
>
>> i am unable to log to root account with su in term or ansi-term.
>
> Sounds like it might be the same issue as
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5300

Yes it is the same

> (I still cannot reproduce it.)

I found what is not working.

I use an alias in my .bashrc to force emacs shell using the word Password
as prompt for su command:

,----
| alias su="LC_ALL=C su -l"
`----

Emacs shell support that but term doesn't.
Without that alias or when running sh instead of bash term work as expected.

1) Running term with the alias:

,----
| thierry@tux ~ $ echo $UID
| 1000
| thierry@tux ~ $ su
| Password: 
| thierry@tux ~ $ echo $UID
| 1000
`----

2) Running term without alias:

,----
| thierry@tux ~ $ echo $UID
| 1000
| thierry@tux ~ $ su
| Mot de passe : 
| tux thierry # echo $UID
| 0
`----

3) Running Emacs shell with the alias (M-x shell):

,----
| thierry@tux ~ $ echo $UID
| 1000
| thierry@tux ~ $ su
| Password: 
| tux ~ # echo $UID
| 0
`----

-- 
Thierry Volpiatto
Gpg key: http://pgp.mit.edu/